Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview
Class PDFCmd

    java.lang.Object
      com.sun.pdfview.PDFCmd

Direct Known Subclasses:
  PDFShapeCmd

    public abstract class PDFCmd

extends java.lang.Object

The abstract superclass of all drawing commands for a PDFPage.

Constructor Summary
`PDFCmd()`

Method Summary
`abstract java.awt.geom.Rectangle2D` | `execute(PDFRenderer state)` mark the page or change the graphics state
`java.lang.String` | `getDetails()` the details of this command
`java.lang.String` | `toString()` a human readable representation of this command

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDFCmd

    public PDFCmd()

Method Detail

### execute

    public abstract java.awt.geom.Rectangle2D execute(PDFRenderer state)

  mark the page or change the graphics state

  Parameters:
    `state` - the current graphics state; may be modified during execution.
  Returns:
    the region of the page made dirty by executing this command or null if no region was touched. Note this value should be in the coordinates of the image touched, not the page.

### toString

    public java.lang.String toString()

  a human readable representation of this command

  Overrides:
    `toString` in class `java.lang.Object`

### getDetails

    public java.lang.String getDetails()

  the details of this command

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD